# Uses of Interface
org.eclipse.emf.cdo.session.remote.CDORemoteSessionManager

Packages that use CDORemoteSessionManager
Package
Description
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.session.remote
Client concepts for the communication and collaboration with other sessions.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDORemoteSessionManager in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDORemoteSessionManager
Modifier and Type
Method
Description
`CDORemoteSessionManager`
CDOSession.`getRemoteSessionManager()`
Returns the CDO `remote session manager` that keeps track of the other remote sessions served by the repository of this local session.

## Uses of CDORemoteSessionManager in org.eclipse.emf.cdo.session.remote

Methods in org.eclipse.emf.cdo.session.remote that return CDORemoteSessionManager
Modifier and Type
Method
Description
`CDORemoteSessionManager`
CDORemoteSession.`getManager()`
Returns the remote session manager that manages this remote session.
`CDORemoteSessionManager`
CDORemoteTopic.`getManager()`
Returns the remote session manager that manages this remote topic.
`CDORemoteSessionManager`
CDORemoteSessionEvent.`getSource()`
`CDORemoteSessionManager`
CDORemoteSessionManager.LocalSubscriptionChangedEvent.`getSource()`
Returns the remote session manager that fired this event.
Constructors in org.eclipse.emf.cdo.session.remote with parameters of type CDORemoteSessionManager
Modifier
Constructor
Description
``
`RequestHandler(CDORemoteSessionManager manager, String type)`

## Uses of CDORemoteSessionManager in org.eclipse.emf.spi.cdo

Subinterfaces of CDORemoteSessionManager in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDORemoteSessionManager`
If the meaning of this type isn't clear, there really should be more of a description here...